## erlang-getopt 0.8.2%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem=rebar --with rebar

override_dh_auto_test:
	rebar eunit -vv skip_deps=true

## erlang-getopt 0.8.2+dfsg

=== Makefile ===
APPLICATION := getopt

REBAR=$(shell which rebar || echo ./rebar)
ERL := erl
EPATH := -pa ebin

DIALYZER=dialyzer
DIALYZER_OPTS=-Wno_return -Wrace_conditions -Wunderspecs -Wno_undefined_callbacks --fullpath

.PHONY: all clean compile console dialyze doc test

all: compile

clean:
	@$(REBAR) clean

compile:
	@$(REBAR) compile

console:
	$(ERL) -sname $(APPLICATION) $(EPATH)

dialyze: compile
	@$(DIALYZER) $(DIALYZER_OPTS) -r ./

doc:
	@$(REBAR) doc

test:
	@erl -make
	@$(ERL) -sname $(APPLICATION) $(EPATH) -noinput -s getopt_test test -s init stop

=== debian/changelog ===
erlang-getopt (0.8.2+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #800565)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 05 Oct 2015 23:33:46 +0900

=== debian/control ===
Source: erlang-getopt
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
	erlang-eunit, erlang-dialyzer, dh-rebar
Homepage: https://github.com/jcomellas/getopt
Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-getopt.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-getopt.git;a=summary

Package: erlang-getopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
Description: Erlang library for command-line processing
 Command-line parsing module that uses a syntax similar to that of GNU getopt.

## erlang-getopt 1.0.1

=== debian/changelog ===
erlang-getopt (1.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 30 Dec 2017 09:00:26 +0900

=== debian/control ===
Source: erlang-getopt
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               erlang-dev,
               erlang-eunit,
               erlang-dialyzer,
               dh-rebar
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-leofs/erlang-getopt.git
Vcs-Git: https://anonscm.debian.org/git/pkg-leofs/erlang-getopt.git
Homepage: https://github.com/jcomellas/getopt

Package: erlang-getopt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Erlang library for command-line processing
 Command-line parsing module that uses a syntax similar to that of GNU getopt.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/getopt-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/jcomellas/getopt/tags .*/v?(\d\S*)\.tar\.gz

## erlang-getopt 1.0.2

=== Makefile ===
APPLICATION := getopt

.PHONY: all clean compile dialyzer edoc shell test

all: compile

clean:
	@rebar3 clean

compile:
	@rebar3 compile

dialyzer: compile
	@rebar3 dialyzer

edoc:
	@rebar3 edoc

shell:
	@rebar3 shell

test:
	@rebar3 eunit

=== debian/changelog ===
erlang-getopt (1.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Update d/control.
    * Use debhelper-compat instead of debhelper, and update to 13.
    * Bump Standards-Version to 4.5.1 (no change).
    * Add Rules-Requires-Root: no . 
  * d/watch
   * Update to version 4. 
  * Add d/upstream/metadata.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 27 Jan 2021 06:53:36 +0900

erlang-getopt (1.0.1-2) unstable; urgency=medium

  * Change maintainer address to Debian Erlang Packagers
    <pkg-erlang-devel@lists.alioth.debian.org>. (Closes: #899493)
  * Bump Standards-Version to 4.1.4.
  * Update debhelper to 11.
  * Change Vcs-Browser and Vcs-Git to salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 29 May 2018 12:36:47 +0900

=== debian/control ===
Source: erlang-getopt
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               erlang-dev,
               erlang-eunit,
               erlang-dialyzer,
               dh-rebar
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-getopt
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-getopt.git
Homepage: https://github.com/jcomellas/getopt

Package: erlang-getopt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base-hipe | erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: Erlang library for command-line processing
 Command-line parsing module that uses a syntax similar to that of GNU getopt.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/getopt-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/jcomellas/getopt/tags .*/v?(\d\S*)\.tar\.gz
